<html>
	<em>Science and Engineering Ethics (2001)7, 231-238</em>
	<hr>

	 <!-- Heading Tag 1-6 -->
	 <h1>Software Engineering Code of Ethics and Professsional Practice</h1>
	 <h2>IEEE-CS/ACM Joint Task Force pn Software Engineering Ethics and Professional Practice </h2>

	 <hr>

	 <strong>Keywords:</strong> code of ethics, professional responsibility, software, engineering
	 <h3>PREAMBLE</h3>

	 <!-- Paragraph Tag -->
	 <p>The short version of the code summarizes aspiratios at a high level of the abstractions; the clauses that are included in the full version give examples and details of how those aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code</p>

	 <p>Software engineers shall commit themselves to making the analysis, specification, design, development,testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

	 <h3>PRINCIPLES</h3>

	 <!-- Ordered List and List Items -->
	</ol>
		<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em>Software engineers shall ensure that their products are related modifications meet the highest professional  standards possible.</li>
		<li><em>Judgement</em> Software engineers shall maintain integrity and indepedence in their professional judgement.</li>
		<li><em>Management.</em> Software engineer managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintebnance.</li>
		<li><em>Profession.</em> Software engineers shall adavance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleages.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>